org.keycloak.protocol

## Class AbstractLoginProtocolFactory

- java.lang.Object
- - org.keycloak.protocol.AbstractLoginProtocolFactory

- All Implemented Interfaces:
    LoginProtocolFactory, ProviderFactory<LoginProtocol>
  Direct Known Subclasses:
    OIDCLoginProtocolFactory, SamlProtocolFactory

      public abstract class AbstractLoginProtocolFactory
      extends Object
      implements LoginProtocolFactory

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractLoginProtocolFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `addDefaults(ClientModel realm)`
    `void` | `close()`
    `void` | `init(Config.Scope config)`
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.protocol.LoginProtocolFactory

      `createProtocolEndpoint, getBuiltinMappers, getDefaultBuiltinMappers`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `create, getId`

- - ### Constructor Detail

    - #### AbstractLoginProtocolFactory

          public AbstractLoginProtocolFactory()

  - ### Method Detail

    - #### init

          public void init(Config.Scope config)

      Specified by:
        `init` in interface `ProviderFactory<LoginProtocol>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<LoginProtocol>`

    - #### addDefaults

          protected abstract void addDefaults(ClientModel realm)

    - #### close

          public void close()

      Specified by:
        `close` in interface `ProviderFactory<LoginProtocol>`

Copyright © 2015. All rights reserved.